# $Id: smeserver-openvpn-s2s.spec,v 1.7 2016/02/08 09:24:25 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: OpenVPN, a strong VPN solution built over SSL, for site to site tunnels
%define name smeserver-openvpn-s2s
Name: %{name}
%define version 0.2
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.xz

Patch0: smeserver-openvpn-s2s-0.2-use_verify_x509_name.patch
Patch1: smeserver-openvpn-s2s-0.2-locale-2015-02-17.patch
Patch2: smeserver-openvpn-s2s-0.2-locale-2015-07-01.patch

BuildArchitectures: noarch

BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

Requires: e-smith-base
Requires: openvpn >= 2.1

%description
This package contains all the needed scripts and templates
to run openvpn in client or server mode for site to site tunnels

%changelog
* Mon Feb 8 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2-6.sme
- Create /etc/openvpn/s2s/dev/urandom [SME: 9238]

* Wed Jul 1 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.2-5.sme
- Apply smeserver-openvpn-s2s-0.2-locale-2015-07-01.patch [SME: 8967]

* Tue Feb 17 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2-4.sme
- Apply locale 2015-02-17 patch

* Thu Dec 18 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2-3.sme
- Create required (but unused) /etc/openvpn/s2s/tmp dir

* Thu Nov 14 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2-2.sme
- Use verify-x509-name instead of tls-remote

* Mon Nov 11 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2-1.sme
- Rebuild for SME9

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 0.1-22.sme
- apply locale 2013-07-14 patch

* Thu Oct 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-21.sme
- Apply locale 2011-10-13 patch

* Thu Jun 2 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-20.sme
- Fix remote host description

* Wed Jun 1 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-19.sme
- SNAT outbound connexions to use the local IP as source

* Tue Apr 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-18.sme
- Reduce inactivity timeout

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 0.1-17.sme
- apply locale 2011-03-06 patch

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-16.sme
- Stop disabling service on rpm removal (spec change only)

* Tue Dec 7 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-15.sme
- Remove useless smb.conf template

* Tue Dec 7 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-14.sme
- Fix type variable (thks M. Doerner)

* Mon Nov 8 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-13.sme
- Apply locale 2010-11-08 patch

* Thu Nov 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-12.sme
- Apply locale 2010-11-04 patch 

* Tue Nov 02 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Remove the nice directive

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Expand smb.conf and restart samba services

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Fix typo in up script

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Various enhancement in templates
- Set wget timeout
- Fix crontab templates

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Implement CRL updates and verification
- Fix masq template

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Set VPN networks non removable

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- Rename logrotate configuration file
- Add missingok to logrotate conf
- Support per configuration customization
- Add TLS auth support

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Fix adding routes in up script
- Log drop trafic
- Fix multiple net validation

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- allow one-way VPN with AllowInbound prop

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Various fixes

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- initiale release (based on work from Florian Dejan)

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%{__mkdir_p} root/etc/openvpn/s2s/priv
%{__mkdir_p} root/etc/openvpn/s2s/pub
%{__mkdir_p} root/etc/openvpn/s2s/tmp
%{__mkdir_p} root/etc/openvpn/s2s/dev
%{__mkdir_p} root/var/run/openvpn-s2s
%{__mkdir_p} root/var/log/openvpn-s2s

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /etc/openvpn/s2s/pub 'attr(0755,root,root)' \
  --dir /etc/openvpn/s2s/priv 'attr(0750,root,root)' \
  --dir /etc/openvpn/s2s/tmp 'attr(0750,root,root)' \
  --dir /var/log/openvpn-s2s 'attr(0770,root,nobody)' \
  --file /etc/openvpn/s2s/bin/up 'attr(4750,root,openvpn)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ \! -c /etc/openvpn/s2s/dev/urandom ]; then
    mknod -m 0444 /etc/openvpn/s2s/dev/urandom c 1 9
fi

%preun

